/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 */
package com.topcoder.file.statistics.accuracytests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import com.topcoder.file.statistics.accuracytests.matcher.AnyFileMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.BinaryFileMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.ExtensionMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.MimeMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.RegexMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.TextFileMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.matcher.TypeNameMatcherAccuracyTests;
import com.topcoder.file.statistics.accuracytests.processor.FileProcessorBaseAccuracyTests;
import com.topcoder.file.statistics.accuracytests.processor.linecounter.CStyleLineCounterAccuracyTests;
import com.topcoder.file.statistics.accuracytests.processor.linecounter.TextLineCounterAccuracyTests;
import com.topcoder.file.statistics.accuracytests.reporting.BasicStatsReportingAccuracyTests;
import com.topcoder.file.statistics.accuracytests.reporting.StatsCollectionAccuracyTests;
import com.topcoder.file.statistics.accuracytests.reporting.XmlStatsReportingAccuracyTests;

/**
 * <p>This test case aggregates all Accuracy test cases.</p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class AccuracyTests extends TestCase {

    public static Test suite() {
        final TestSuite suite = new TestSuite();
 /*
        suite.addTestSuite(AnyFileMatcherAccuracyTests.class);
        suite.addTestSuite(ExtensionMatcherAccuracyTests.class);
        suite.addTestSuite(RegexMatcherAccuracyTests.class);
        suite.addTestSuite(TextFileMatcherAccuracyTests.class);
        suite.addTestSuite(BinaryFileMatcherAccuracyTests.class);
        suite.addTestSuite(TypeNameMatcherAccuracyTests.class);
        suite.addTestSuite(MimeMatcherAccuracyTests.class);

        suite.addTestSuite(FileProcessorBaseAccuracyTests.class);
        suite.addTestSuite(TextLineCounterAccuracyTests.class);
        suite.addTestSuite(CStyleLineCounterAccuracyTests.class);

        suite.addTestSuite(StatsCollectionAccuracyTests.class);
        suite.addTestSuite(BasicStatsReportingAccuracyTests.class);
        suite.addTestSuite(XmlStatsReportingAccuracyTests.class);
        
        suite.addTestSuite(MetricAccuracyTests.class);
        suite.addTestSuite(StatsResultAccuracyTests.class);
        suite.addTestSuite(FileStatisticsAccuracyTests.class);
        suite.addTestSuite(ExtendedFileStatisticsAccuracyTests.class);
        suite.addTestSuite(MainAccuracyTests.class);
*/
        return suite;
    }

}

